.hamburger {
  background: transparent;
  border: 0;
  color: inherit;
  cursor: pointer;
  display: inline-block;
  font: inherit;
  overflow: visible;
  padding: 15px;
}

.hamburger-box {
  display: inline-block;
  height: 24px;
  position: relative;
  width: 40px;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  background-color: #000;
  border-radius: 4px;
  height: 4px;
  position: absolute;
  transition: transform 0.22s ease;
  width: 40px;
}

.hamburger-inner {
  display: block;
  margin-top: -2px;
  top: 50%;
}

.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -10px;
}

.hamburger-inner::after {
  bottom: -10px;
}

.hamburger--spin .hamburger-inner {
  transform: rotate(225deg);
}

.hamburger--spin .hamburger-inner::before {
  opacity: 0;
  top: 0;
}

.hamburger--spin .hamburger-inner::after {
  bottom: 0;
  transform: rotate(-90deg);
}
